Bug 518882 - zfs-fuse uses chkconfig on in %post
Summary: zfs-fuse uses chkconfig on in %post
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: zfs-fuse
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Uwe Kubosch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-23 20:33 UTC by Sven Lankes
Modified: 2010-01-03 21:03 UTC (History)
1 user (show)

Fixed In Version: 0.6.0-5.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-03 21:03:23 UTC


Attachments (Terms of Use)

Description Sven Lankes 2009-08-23 20:33:39 UTC
zfs-fuse uses chkconfig on in %post to start the zfs-fuse daemon. This can lead to situations where the daemon will be enabled on an update even if the user had disabled it earlier.

See also: https://fedoraproject.org/wiki/Packaging:SysVInitScript#Why_don.27t_we....

Comment 1 Uwe Kubosch 2009-08-24 10:37:02 UTC
Thank you for reporting this.  I will look at it as soon as possible.

Comment 2 Bug Zapper 2009-11-16 11:37:13 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Fedora Update System 2009-12-26 02:40:39 UTC
zfs-fuse-0.6.0-5.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/zfs-fuse-0.6.0-5.fc12

Comment 4 Fedora Update System 2009-12-26 18:53:25 UTC
zfs-fuse-0.6.0-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/zfs-fuse-0.6.0-5.fc11

Comment 5 Fedora Update System 2009-12-26 18:55:20 UTC
zfs-fuse-0.6.0-5.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/zfs-fuse-0.6.0-5.el5

Comment 6 Fedora Update System 2009-12-26 19:54:00 UTC
zfs-fuse-0.6.0-5.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update zfs-fuse'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-13719

Comment 7 Fedora Update System 2009-12-27 20:33:16 UTC
zfs-fuse-0.6.0-5.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update zfs-fuse'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-13744

Comment 8 Fedora Update System 2009-12-31 06:55:44 UTC
zfs-fuse-0.6.0-5.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update zfs-fuse'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-1076

Comment 9 Fedora Update System 2010-01-03 21:03:19 UTC
zfs-fuse-0.6.0-5.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-01-03 21:03:44 UTC
zfs-fuse-0.6.0-5.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.